Parsoid: DSR on DOM of some reused images is buggy (causing image fragments to be duplicated on save on some pages)
Closed, ResolvedPublic

Description

See https://en.wikipedia.org/w/index.php?title=Star_Trek_Into_Darkness&diff=560374167&oldid=560361644 - without changing or going near the link, it ended up hamfistedly duplicated on save.


Version: unspecified
Severity: major

bzimport added a project: Parsoid-DOM.Via ConduitNov 22 2014, 2:00 AM
bzimport set Reference to bz49729.
Ironholds created this task.Via LegacyJun 18 2013, 5:15 AM
Ironholds added a comment.Via ConduitJun 18 2013, 6:52 PM

Most recently seen at https://en.wikipedia.org/w/index.php?title=User%3AEdgepedia%2FVE%2FMet&diff=560486146&oldid=560485453 - still there after the latest deploy, and going to be highly disruptive to popular (read: also probably very long, and image-filled) articles.

Ironholds added a comment.Via ConduitJun 18 2013, 7:35 PM

Appeared again at https://en.wikipedia.org/w/index.php?title=User%3AEdgepedia%2FVE%2FMet&diff=560495770&oldid=560486146 - this was an attempt to resize an image. Possibly the source? Investigating further.

Ironholds added a comment.Via ConduitJun 19 2013, 10:03 AM

Upping to major, because it's also happening with (eg) typo corrections - https://en.wikipedia.org/w/index.php?title=Bombardier_CSeries&diff=prev&oldid=560579191

ssastry added a comment.Via ConduitJun 19 2013, 11:25 AM

Same cause as https://bugzilla.wikimedia.org/show_bug.cgi?id=49655, but this time on images.

Ex: dsr":[20586,20590] on the sole image in https://en.wikipedia.org/w/index.php?title=Star_Trek_Into_Darkness

Fix coming -- to be tested, reviewed, and merged later today. All parsoid varnishes should be purged again.

This should be the last instance of bugs from reusing cached DOM fragments. 49655 fixed this for templates and extensions. This should fix it for images.

gerritbot added a comment.Via ConduitJun 19 2013, 11:41 AM

Related URL: https://gerrit.wikimedia.org/r/69477 (Gerrit Change Id6d7de70cecf6d5d9e79e2f9875a271487916dbe)

gerritbot added a comment.Via ConduitJun 19 2013, 3:52 PM

https://gerrit.wikimedia.org/r/69477 (Gerrit Change Id6d7de70cecf6d5d9e79e2f9875a271487916dbe) | change APPROVED and MERGED [by jenkins-bot]

ssastry added a comment.Via ConduitJun 19 2013, 8:23 PM

Seems partially fixed -- the egregious duplication issues seem to be gone.

But, I am seeing a different issue on https://en.wikipedia.org/wiki/Bombardier_CSeries after I made a minor edit.

Reviewing diffs on subsequent edits reveals bad wikitext changes (off-by-1-char) on one image. Looking at the HTML for that figure shows off-by-1 TSR and DSR values on pieces of that image which messes up the serialiation from that HTML.

gerritbot added a comment.Via ConduitJun 19 2013, 10:33 PM

Related URL: https://gerrit.wikimedia.org/r/69597 (Gerrit Change I32c511d05d62dd31bb19fca21aff792ddc422331)

gerritbot added a comment.Via ConduitJun 19 2013, 10:33 PM

Related URL: https://gerrit.wikimedia.org/r/69597 (Gerrit Change I32c511d05d62dd31bb19fca21aff792ddc422331)

gerritbot added a comment.Via ConduitJun 19 2013, 11:51 PM

https://gerrit.wikimedia.org/r/69597 (Gerrit Change I32c511d05d62dd31bb19fca21aff792ddc422331) | change APPROVED and MERGED [by jenkins-bot]

TTO added a comment.Via ConduitJun 20 2013, 9:43 AM
  • Bug 49824 has been marked as a duplicate of this bug. ***
ssastry added a comment.Via ConduitJun 20 2013, 6:20 PM

All the fixes for this have been deployed and caches purged of stale HTML. Could you all test independently and verify that the problems have been fixed before we close this out?

ssastry added a comment.Via ConduitJun 20 2013, 10:40 PM

My testing on a couple pages shows that this is fixed. Closing. Please reopen if necessary.

Elitre added a comment.Via ConduitAug 31 2013, 12:03 PM

Ssastry, I am afraid this is back, see https://it.wikipedia.org/w/index.php?title=Dalmine&diff=61238476&oldid=61238456 . The user just added a wikilink - which is how you can reproduce the problem, the code is already corrupted in the preview.

ssastry added a comment.Via ConduitSep 3 2013, 4:24 PM

No, this is bug 53071. I'll add this as another example of that bug and we'll try to get that bug fixed this week.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.